Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class JobFlowExecutionStatusDetail

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.JobFlowExecutionStatusDetail

    public class JobFlowExecutionStatusDetail

extends Object

Describes the status of the job flow.

Constructor Summary
`JobFlowExecutionStatusDetail()`

Method Summary
`Date` | `getCreationDateTime()` The creation date and time of the job flow.
`Date` | `getEndDateTime()` The completion date and time of the job flow.
`String` | `getLastStateChangeReason()` Description of the job flow last changed state.
`Date` | `getReadyDateTime()` The date and time when the job flow was ready to start running bootstrap actions.
`Date` | `getStartDateTime()` The start date and time of the job flow.
`String` | `getState()` The state of the job flow.
`void` | `setCreationDateTime(Date creationDateTime)` The creation date and time of the job flow.
`void` | `setEndDateTime(Date endDateTime)` The completion date and time of the job flow.
`void` | `setLastStateChangeReason(String lastStateChangeReason)` Description of the job flow last changed state.
`void` | `setReadyDateTime(Date readyDateTime)` The date and time when the job flow was ready to start running bootstrap actions.
`void` | `setStartDateTime(Date startDateTime)` The start date and time of the job flow.
`void` | `setState(String state)` The state of the job flow.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`JobFlowExecutionStatusDetail` | `withCreationDateTime(Date creationDateTime)` The creation date and time of the job flow.
`JobFlowExecutionStatusDetail` | `withEndDateTime(Date endDateTime)` The completion date and time of the job flow.
`JobFlowExecutionStatusDetail` | `withLastStateChangeReason(String lastStateChangeReason)` Description of the job flow last changed state.
`JobFlowExecutionStatusDetail` | `withReadyDateTime(Date readyDateTime)` The date and time when the job flow was ready to start running bootstrap actions.
`JobFlowExecutionStatusDetail` | `withStartDateTime(Date startDateTime)` The start date and time of the job flow.
`JobFlowExecutionStatusDetail` | `withState(String state)` The state of the job flow.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobFlowExecutionStatusDetail

    public JobFlowExecutionStatusDetail()

Method Detail

### getState

    public String getState()

  The state of the job flow.

  Constraints:
  Pattern: COMPLETED|FAILED|TERMINATED|RUNNING|SHUTTING_DOWN|STARTING|WAITING|BOOTSTRAPPING

  Returns:
    The state of the job flow.

### setState

    public void setState(String state)

  The state of the job flow.

  Constraints:
  Pattern: COMPLETED|FAILED|TERMINATED|RUNNING|SHUTTING_DOWN|STARTING|WAITING|BOOTSTRAPPING

  Parameters:
    `state` - The state of the job flow.

### withState

    public JobFlowExecutionStatusDetail withState(String state)

  The state of the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: COMPLETED|FAILED|TERMINATED|RUNNING|SHUTTING_DOWN|STARTING|WAITING|BOOTSTRAPPING

  Parameters:
    `state` - The state of the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCreationDateTime

    public Date getCreationDateTime()

  The creation date and time of the job flow.

  Returns:
    The creation date and time of the job flow.

### setCreationDateTime

    public void setCreationDateTime(Date creationDateTime)

  The creation date and time of the job flow.

  Parameters:
    `creationDateTime` - The creation date and time of the job flow.

### withCreationDateTime

    public JobFlowExecutionStatusDetail withCreationDateTime(Date creationDateTime)

  The creation date and time of the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `creationDateTime` - The creation date and time of the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStartDateTime

    public Date getStartDateTime()

  The start date and time of the job flow.

  Returns:
    The start date and time of the job flow.

### setStartDateTime

    public void setStartDateTime(Date startDateTime)

  The start date and time of the job flow.

  Parameters:
    `startDateTime` - The start date and time of the job flow.

### withStartDateTime

    public JobFlowExecutionStatusDetail withStartDateTime(Date startDateTime)

  The start date and time of the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `startDateTime` - The start date and time of the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getReadyDateTime

    public Date getReadyDateTime()

  The date and time when the job flow was ready to start running bootstrap actions.

  Returns:
    The date and time when the job flow was ready to start running bootstrap actions.

### setReadyDateTime

    public void setReadyDateTime(Date readyDateTime)

  The date and time when the job flow was ready to start running bootstrap actions.

  Parameters:
    `readyDateTime` - The date and time when the job flow was ready to start running bootstrap actions.

### withReadyDateTime

    public JobFlowExecutionStatusDetail withReadyDateTime(Date readyDateTime)

  The date and time when the job flow was ready to start running bootstrap actions.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `readyDateTime` - The date and time when the job flow was ready to start running bootstrap actions.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEndDateTime

    public Date getEndDateTime()

  The completion date and time of the job flow.

  Returns:
    The completion date and time of the job flow.

### setEndDateTime

    public void setEndDateTime(Date endDateTime)

  The completion date and time of the job flow.

  Parameters:
    `endDateTime` - The completion date and time of the job flow.

### withEndDateTime

    public JobFlowExecutionStatusDetail withEndDateTime(Date endDateTime)

  The completion date and time of the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `endDateTime` - The completion date and time of the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLastStateChangeReason

    public String getLastStateChangeReason()

  Description of the job flow last changed state.

  Constraints:
  Pattern: MASTER_TERMINATED|START_FAILED|STEP_FAILED

  Returns:
    Description of the job flow last changed state.

### setLastStateChangeReason

    public void setLastStateChangeReason(String lastStateChangeReason)

  Description of the job flow last changed state.

  Constraints:
  Pattern: MASTER_TERMINATED|START_FAILED|STEP_FAILED

  Parameters:
    `lastStateChangeReason` - Description of the job flow last changed state.

### withLastStateChangeReason

    public JobFlowExecutionStatusDetail withLastStateChangeReason(String lastStateChangeReason)

  Description of the job flow last changed state.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: MASTER_TERMINATED|START_FAILED|STEP_FAILED

  Parameters:
    `lastStateChangeReason` - Description of the job flow last changed state.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.